config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/cups/cups-browsed.conf.new
preserve_perms etc/rc.d/rc.cups-browsed.new

( cd usr/bin ; rm -rf driverless )
( cd usr/bin ; ln -sf ../lib64/cups/driver/driverless driverless )
( cd usr/bin ; rm -rf foomatic-rip )
( cd usr/bin ; ln -sf ../lib64/cups/filter/foomatic-rip foomatic-rip )
( cd usr/lib64/cups/backend ; rm -rf driverless )
( cd usr/lib64/cups/backend ; ln -sf ../driver/driverless driverless )
( cd usr/lib64/cups/filter ; rm -rf cgmtopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf cgmtopdf )
( cd usr/lib64/cups/filter ; rm -rf cmxtopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf cmxtopdf )
( cd usr/lib64/cups/filter ; rm -rf emftopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf emftopdf )
( cd usr/lib64/cups/filter ; rm -rf imagetoubrl )
( cd usr/lib64/cups/filter ; ln -sf imagetobrf imagetoubrl )
( cd usr/lib64/cups/filter ; rm -rf svgtopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf svgtopdf )
( cd usr/lib64/cups/filter ; rm -rf textbrftoindexv4 )
( cd usr/lib64/cups/filter ; ln -sf textbrftoindexv3 textbrftoindexv4 )
( cd usr/lib64/cups/filter ; rm -rf vectortoubrl )
( cd usr/lib64/cups/filter ; ln -sf vectortobrf vectortoubrl )
( cd usr/lib64/cups/filter ; rm -rf wmftopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf wmftopdf )
( cd usr/lib64/cups/filter ; rm -rf xfigtopdf )
( cd usr/lib64/cups/filter ; ln -sf vectortopdf xfigtopdf )
( cd usr/lib64 ; rm -rf libcupsfilters.so )
( cd usr/lib64 ; ln -sf libcupsfilters.so.1.0.0 libcupsfilters.so )
( cd usr/lib64 ; rm -rf libcupsfilters.so.1 )
( cd usr/lib64 ; ln -sf libcupsfilters.so.1.0.0 libcupsfilters.so.1 )
( cd usr/lib64 ; rm -rf libfontembed.so )
( cd usr/lib64 ; ln -sf libfontembed.so.1.0.0 libfontembed.so )
( cd usr/lib64 ; rm -rf libfontembed.so.1 )
( cd usr/lib64 ; ln -sf libfontembed.so.1.0.0 libfontembed.so.1 )
( cd usr/share/cups/charsets ; rm -rf pdf.utf-8 )
( cd usr/share/cups/charsets ; ln -sf pdf.utf-8.simple pdf.utf-8 )
